package wenrgise.workflow.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.workflow.ejb.business.WflRouteDtlBO;
import wenrgise.workflow.vo.WflRouteDtlQVO;

public class WflRouteDtlFacadeBean implements SessionBean {
  public void ejbCreate() {}
  
  public void ejbActivate() {}
  
  public void ejbPassivate() {}
  
  public void ejbRemove() {}
  
  public void setSessionContext(SessionContext ctx) {}
  
  public RecordMetaInfo getWFLRouteDtlMetaInfo(WflRouteDtlQVO oWflRouteDtlQVO, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO(oUserInfo);
    return oWflRouteDtlBO.getWFLRouteDtlMetaInfo(oWflRouteDtlQVO);
  }
  
  public ArrayList getWFLRouteDtlInfo(WflRouteDtlQVO oWflRouteDtlQVO, long lStartPosition, long lLastPosition, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO(oUserInfo);
    return oWflRouteDtlBO.getWFLRouteDtlInfo(oWflRouteDtlQVO, lStartPosition, lLastPosition);
  }
  
  public RecordMetaInfo getWFLTransDtlMetaInfo(WflRouteDtlQVO oWflRouteDtlQVO, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO(oUserInfo);
    return oWflRouteDtlBO.getWFLTransDtlMetaInfo(oWflRouteDtlQVO);
  }
  
  public ArrayList getWFLTransDtlInfo(WflRouteDtlQVO oWflRouteDtlQVO, long lStartPosition, long lLastPosition, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO(oUserInfo);
    return oWflRouteDtlBO.getWFLTransDtlInfo(oWflRouteDtlQVO, lStartPosition, lLastPosition);
  }
  
  public String saveWFLRouteDtl(BaseHeaderBean oBaseHeaderBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked, UserInfo oUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO(oUserInfo);
    return oWflRouteDtlBO.saveData(oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked);
  }
  
  public LovVO getWflDocDtlQLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO();
    LovVO oLovVO = oWflRouteDtlBO.getWflDocDtlQLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getWflDocDtlIdNLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO();
    LovVO oLovVO = oWflRouteDtlBO.getWflDocDtlIdNLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getWflActIdNLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO();
    LovVO oLovVO = oWflRouteDtlBO.getWflActIdNLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getWflRouteDtlLOVdata(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO();
    LovVO oLovVO = oWflRouteDtlBO.getWflRouteDtlLOVdata(oLovQueryVO);
    return oLovVO;
  }
  
  public LovVO getWflConditionLOVData(LovQueryVO oLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    WflRouteDtlBO oWflRouteDtlBO = new WflRouteDtlBO();
    LovVO oLovVO = oWflRouteDtlBO.getWflConditionLOVData(oLovQueryVO);
    return oLovVO;
  }
}
